%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name pg
%global pgscl rh-postgresql94
%global pgscl_prefix %{pgscl}-

Summary: Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.18.2
Release: 2%{?dist}
Group: Development/Languages
License: BSD and Ruby and GPL
URL: https://bitbucket.org/ged/ruby-pg
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby >= 1.9.3
BuildRequires: %{?scl_prefix}ruby(release)
BuildRequires: %{?scl_prefix}ruby-devel
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}ruby
BuildRequires: %{?pgscl_prefix}postgresql-server %{?pgscl_prefix}postgresql-devel
# Introduced in F17.
Obsoletes: %{?scl_prefix}ruby(postgres) <= 0.7.9-2010.01.28.2
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Pg is the Ruby interface to the {PostgreSQL
RDBMS}[http://www.postgresql.org/].
It works with {PostgreSQL 8.4 and
later}[http://www.postgresql.org/support/versioning/].
A small example usage:
#!/usr/bin/env ruby
require 'pg'
# Output a table of current connections to the DB
conn = PG.connect( dbname: 'sales' )
conn.exec( "SELECT * FROM pg_stat_activity" ) do |result|
puts "     PID | User             | Query"
result.each do |row|
puts " %7d | %-16s | %s " %
row.values_at('procpid', 'usename', 'current_query')
end
end.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}
%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build

# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

%{?scl:scl enable %{scl} %{pgscl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%{gem_libdir}
%{gem_instdir}/README*
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/.gemtest
%{gem_instdir}/BSDL
%{gem_instdir}/LICENSE
%{gem_instdir}/POSTGRES
%{gem_instdir}/ChangeLog
%{gem_instdir}/Contributors.rdoc
%{gem_instdir}/History.rdoc
%{gem_instdir}/Manifest.txt
%{gem_instdir}/Rakefile
%{gem_instdir}/Rakefile.cross
%{gem_instdir}/sample
%{gem_instdir}/spec

%changelog
* Thu Sep 10 2015 Satoe Imaishi <simaishi@redhat.com> - 0.18.2-2
- Follow ruby packaging guideline to build/install

* Wed Aug 26 2015 Satoe Imaishi <simaishi@redhat.com> - 0.18.2-1
- Upgrade to 0.18.2, for rh-ruby22 and postgresql94

* Fri Apr 17 2015 Joe VLcek <jvlcek@redhat.com> - 0.12.2-9
- Leave arch dependent files where gem install put them.

* Tue Mar 31 2015 Joe VLcek <jvlcek@redhat.com> - 0.12.2-8
- Rebuild to allow removing from gemset RPM

* Wed Dec 06 2014 Joe VLcek <jvlcek@redhat.com> - 0.12.2-7
- Update for ruby200

* Fri Dec 05 2014 Joe VLcek <jvlcek@redhat.com> - 0.12.2-6
- Remove the rubyabi macro

* Tue May 21 2013 John Eckersberg <jeckersb@redhat.com> - 0.12.2-5
- Build against postgresql92 SCL

* Fri Mar  1 2013 John Eckersberg <jeckersb@redhat.com> - 0.12.2-4
- SCL-ize specfile

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 07 2012 Vít Ondruch <vondruch@redhat.com> - 0.12.2-2
- Obsolete ruby-postgress, which was retired.

* Tue Jan 24 2012 Vít Ondruch <vondruch@redhat.com> - 0.12.2-1
- Rebuilt for Ruby 1.9.3.
- Upgrade to pg 0.12.2.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 03 2011 Vít Ondruch <vondruch@redhat.com> - 0.11.0-5
- Pass CFLAGS to extconf.rb.

* Fri Jun 03 2011 Vít Ondruch <vondruch@redhat.com> - 0.11.0-4
- Binary extension moved into ruby_sitearch dir.
- -doc subpackage made architecture independent.

* Wed Jun 01 2011 Vít Ondruch <vondruch@redhat.com> - 0.11.0-3
- Quoted upstream license clarification.

* Mon May 30 2011 Vít Ondruch <vondruch@redhat.com> - 0.11.0-2
- Removed/fixed shebang in non-executables.
- Removed sources.

* Thu May 26 2011 Vít Ondruch <vondruch@redhat.com> - 0.11.0-1
- Initial package
